package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Entity;

/**
 * @Description : 供应商延迟到货汇总表model
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-11
 * @Modify:
 **/
@Data
@Entity
@Api("供应商延迟到货汇总表model")
public class WmsVendorDelayMasterModel extends BaseBean {

    @ApiParam(value = "供应商代码")
    private String vendorNo;

    @ApiParam(value = "供应商名称")
    private String vendorName;

    @ApiParam(value = "延迟次数")
    private Long delayCount;

    public WmsVendorDelayMasterModel(String vendorNo, String vendorName, Long count, String organizeCode) {
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.delayCount = count;
        setOrganizeCode(organizeCode);
    }

    public WmsVendorDelayMasterModel() {

    }
}
